Newer Version Available

This content describes an older version of this product. View Latest

Standard Invocable Actions

Returns the list of actions that can be statically invoked. You can also get basic information for each type of action.

This resource is available in REST API version 32.0 and later.

Syntax

URI
Get a list of standard actions:
/services/data/vXX.X/actions/standard
Formats
JSON
HTTP Methods
GET, HEAD, POST
Authentication
Authorization: Bearer token
Parameters
None
Notes
For Salesforce Omnichannel Inventory and Salesforce Order Management, you can also call the corresponding Connect REST API endpoints or Apex ConnectApi methods. For more information, see Salesforce Omnichannel Inventory Resources and Salesforce Order Management Resources in the Connect REST API Developer Guide, and ConnectApi Namespace in the Apex Reference Guide.
The Post to Chatter action supports the following features using a special format in the body post.
  • @mentions using @[<id>]
  • Topic links using #[<topicString>]
For example, the string Hi @[005000000000001], check out #[some_topic] is stored appropriately as Hi @Joe, check out #some_topic where “@Joe” and “#some_topic” are links to the user and topic, respectively.

Examples

Retrieving a list of standard actions for the current organization
JSON Response body
Get the attributes of a single standard action, for example, emailSimple
/services/data/v52.0/actions/standard/emailSimple
JSON Response body